Package org.drinkless.tdlib

# Class TdApi.EditChatFolderInviteLink

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.ChatFolderInviteLink>
org.drinkless.tdlib.TdApi.EditChatFolderInviteLink

Enclosing class:
  `TdApi`

public static class TdApi.EditChatFolderInviteLink extends TdApi.Function<TdApi.ChatFolderInviteLink>
Edits an invite link for a chat folder.

Returns `ChatFolderInviteLink`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `chatFolderId`
  Chat folder identifier.
  `long[]`
  `chatIds`
  New identifiers of chats to be accessible by the invite link.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `inviteLink`
  Invite link to be edited.
  `String`
  `name`
  New name of the link; 0-32 characters.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EditChatFolderInviteLink()`
  Default constructor for a function, which edits an invite link for a chat folder.
  `EditChatFolderInviteLink(int chatFolderId, String inviteLink, String name, long[] chatIds)`
  Creates a function, which edits an invite link for a chat folder.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatFolderId

    public int chatFolderId
    Chat folder identifier.

  - ### inviteLink

    public String inviteLink
    Invite link to be edited.

  - ### name

    public String name
    New name of the link; 0-32 characters.

  - ### chatIds

    public long[] chatIds
    New identifiers of chats to be accessible by the invite link. Use getChatsForChatFolderInviteLink to get suitable chats. Basic groups will be automatically converted to supergroups before link editing.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EditChatFolderInviteLink

    public EditChatFolderInviteLink()
    Default constructor for a function, which edits an invite link for a chat folder.

    Returns `ChatFolderInviteLink`

  - ### EditChatFolderInviteLink

    public EditChatFolderInviteLink(int chatFolderId, String inviteLink, String name, long[] chatIds)
    Creates a function, which edits an invite link for a chat folder.

    Returns `ChatFolderInviteLink`

    Parameters:
      `chatFolderId` - Chat folder identifier.
      `inviteLink` - Invite link to be edited.
      `name` - New name of the link; 0-32 characters.
      `chatIds` - New identifiers of chats to be accessible by the invite link. Use getChatsForChatFolderInviteLink to get suitable chats. Basic groups will be automatically converted to supergroups before link editing.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.ChatFolderInviteLink>`
    Returns:
      this.CONSTRUCTOR